Page MenuHomePhabricator

ErrorException from line 317 of /srv/mediawiki/php-1.33.0-wmf.9/extensions/ExtensionDistributor/includes/specials/SpecialBaseDistributor.php: PHP Notice: Undefined variable: downloadImg
Closed, ResolvedPublic

Description

Noticed after deploying 1.33.0-wmf.9 to group 0:

[XBkHzgpAAEUAAGeCR3oAAACB] /wiki/Special:ExtensionDistributor?extdistname=PropertySuggester&extdistversion=REL1_30   ErrorException from line 317 of /srv/mediawiki/php-1.33.0-wmf.9/extensions/ExtensionDistributor/includes/specials/SpecialBaseDistributor.php: PHP Notice: Undefined variable: downloadImg

https://logstash.wikimedia.org/app/kibana#/doc/logstash-*/logstash-2018.12.18/mediawiki?id=AWfBxoWKxYA-x_UcVKB-&_g=h@bfc149c

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 18 2018, 2:47 PM
zeljkofilipin triaged this task as Unbreak Now! priority.Dec 18 2018, 2:48 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptDec 18 2018, 2:48 PM

Looks like $downloadImg was removed in 479701:

includes/specials/SpecialBaseDistributor.php:

...
- $downloadImg = "$wgExtensionAssetsPath/ExtensionDistributor/download.png";
...

Pinging people involved in the patch: @Esanders @Jdforrester-WMF @Legoktm

Change 480515 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/ExtensionDistributor@master] Follow-up f686d348: No need for an <img> tag any more

https://gerrit.wikimedia.org/r/480515

Change 480515 merged by jenkins-bot:
[mediawiki/extensions/ExtensionDistributor@master] Follow-up f686d348: No need for an <img> tag any more

https://gerrit.wikimedia.org/r/480515

Change 480578 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/ExtensionDistributor@wmf/1.33.0-wmf.9] Follow-up f686d348: No need for an <img> tag any more

https://gerrit.wikimedia.org/r/480578

Is this resolved? Train is blocked on moving forward until this is resolved.

greg added a subscriber: greg.Dec 19 2018, 4:39 PM

Is this resolved? Train is blocked on moving forward until this is resolved.

the backport needs merging/deploying.

Change 480578 merged by jenkins-bot:
[mediawiki/extensions/ExtensionDistributor@wmf/1.33.0-wmf.9] Follow-up f686d348: No need for an <img> tag any more

https://gerrit.wikimedia.org/r/480578

Mentioned in SAL (#wikimedia-operations) [2018-12-19T16:57:36Z] <hashar@deploy1001> Synchronized php-1.33.0-wmf.9/extensions/ExtensionDistributor/includes/specials/SpecialBaseDistributor.php: Follow-up f686d348: No need for an <img> tag any more - T212217 (duration: 00m 52s)

hashar closed this task as Resolved.Dec 19 2018, 4:59 PM
hashar added a subscriber: hashar.

Patch deployed, seems to be fine now :)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:07 PM